/**
 * DESCRIPTION OF THE FILE
 *
 * @author Michal Kravčenko
 * @date 25.2.19 -
 */

#ifndef LIB4NEURO_RANDOMSOLUTION_H
#define LIB4NEURO_RANDOMSOLUTION_H

#include "../settings.h"
#include "../constants.h"
#include "LearningMethod.h"

namespace lib4neuro {

    class RandomSolution : public lib4neuro::LearningMethod {

    protected:
    public:

        RandomSolution();

        ~RandomSolution();

        void optimize(lib4neuro::ErrorFunction& ef,
                      std::ofstream* ofs = nullptr) override;
    };

}

#endif //LIB4NEURO_RANDOMSOLUTION_H
