/**
 * DESCRIPTION OF THE FILE
 *
 * @author Michal Kravčenko
 * @date 25.2.19 - 
 */

#include "RandomSolution.h"
#include "../message.h"

namespace lib4neuro {

    RandomSolution::RandomSolution() {
    }

    RandomSolution::~RandomSolution() {}

    void RandomSolution::optimize(lib4neuro::ErrorFunction& ef,
                                  std::ofstream* ofs) {
        ef.randomize_parameters(1.0);

        this->optimal_parameters = ef.get_parameters();

        COUT_INFO("Producing a random solution... error: " << ef.eval(&this->optimal_parameters) << std::endl);
    }

}