//
// Created by martin on 12.08.19.
//

#include "Element.h"
#include "ElementSerialization.h"

BOOST_CLASS_EXPORT_IMPLEMENT(lib4neuro::Element)

const std::string& lib4neuro::Element::getElementSymbol() const {
    return element_symbol;
}

//unsigned int lib4neuro::Element::getNParticles() const {
//    return n_particles;
//}

std::vector<lib4neuro::SymmetryFunction*>* lib4neuro::Element::getSymmetryFunctions() {
    return &symmetry_functions;
}

//const std::vector<unsigned int>& lib4neuro::Element::getNHiddenNeurons() const {
//    return n_hidden_neurons;
//}

//const std::vector<lib4neuro::NEURON_TYPE>& lib4neuro::Element::getHiddenNeuronTypes() const {
//    return hidden_neuron_types;
//}

//bool lib4neuro::Element::isCharge() const {
//    return charge;
//}

lib4neuro::Element::Element(const std::string& element_symbol,
//                            unsigned int n_particles,
                            std::vector<SymmetryFunction*>& symmetry_functions
//                            const std::vector<unsigned int>& n_hidden_neurons,
//                            const std::vector<NEURON_TYPE>& hidden_neuron_types,
//                            bool charge
                            ) {
    this->element_symbol = element_symbol;
//    this->n_particles = n_particles;
    this->symmetry_functions = symmetry_functions;
//    this->n_hidden_neurons = n_hidden_neurons;
//    this->hidden_neuron_types = hidden_neuron_types;
//    this->charge = charge;
}

/**
 * Constructor for Boost serialization.
 */
lib4neuro::Element::Element() {}
